summaryrefslogtreecommitdiff
path: root/.tools
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-07-06 16:42:17 +0300
committerAndrei Karas <akaras@inbox.ru>2016-07-06 16:42:17 +0300
commit3554375f2d31e00fe76466608298bb3c88502d4c (patch)
tree8d9a49472f728781c467fe24b8f637e68a0b70e8 /.tools
parentdab054b1c0e510c41074c5c8e325c60bdb9bfca4 (diff)
downloadclientdata-3554375f2d31e00fe76466608298bb3c88502d4c.tar.gz
clientdata-3554375f2d31e00fe76466608298bb3c88502d4c.tar.bz2
clientdata-3554375f2d31e00fe76466608298bb3c88502d4c.tar.xz
clientdata-3554375f2d31e00fe76466608298bb3c88502d4c.zip
Add icc check test into ci.
Diffstat (limited to '.tools')
-rwxr-xr-x.tools/imagemagiccheck.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/.tools/imagemagiccheck.sh b/.tools/imagemagiccheck.sh
new file mode 100755
index 00000000..c298e576
--- /dev/null
+++ b/.tools/imagemagiccheck.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+source ./.tools/init.sh
+
+clientdata_init
+
+aptget_update
+aptget_install git-core gcc ca-certificates imagemagick
+rm -rf tools
+gitclone https://gitlab.com/evol evol-tools.git tools
+
+cd tools/imagescheck
+
+./icccheck.sh >icccheck.log
+check_error $?
+
+export RES=$(cat icccheck.log)
+if [[ -n "${RES}" ]]; then
+ echo "Detected icc profiles"
+ cat icccheck.log
+ exit 1
+fi